librevenge::RVNGHTMLTextSpanStyleManager Class Reference documentation

Public Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
librevenge::RVNGHTMLTextSpanStyleManager Class Reference

Small class to manage the span style. More...

`#include <RVNGHTMLTextTextStyle.h>`

## Public Member Functions
| RVNGHTMLTextSpanStyleManager ()
| constructor
| ~RVNGHTMLTextSpanStyleManager ()
| destructor
void | defineSpan (RVNGPropertyList const &pList)
| define a span style
std::string | getClass (RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist
void | send (std::ostream &out)
| send the data to the stream

## Static Protected Member Functions
static std::string | getContent (RVNGPropertyList const &pList)
| convert a property list in a html content string
static void | parseTextPosition (char const *value, std::ostream &out)
| add data corresponding to a text position in out
static void | parseDecorations (RVNGPropertyList const &pList, std::ostream &out)
| add data corresponding to the line decoration

## Protected Attributes
std::map< std::string, std::string > | m_contentNameMap
| a map content -> name
std::map< int, std::string > | m_idNameMap
| a map id -> name

## Private Member Functions
| RVNGHTMLTextSpanStyleManager (RVNGHTMLTextSpanStyleManager const &orig)
RVNGHTMLTextSpanStyleManager | operator= (RVNGHTMLTextSpanStyleManager const &orig)

## Detailed Description

Small class to manage the span style.

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextSpanStyleManager() [1/2]

librevenge::RVNGHTMLTextSpanStyleManager::RVNGHTMLTextSpanStyleManager | ( |  | ) |
| inline

constructor

## ◆ ~RVNGHTMLTextSpanStyleManager()

librevenge::RVNGHTMLTextSpanStyleManager::~RVNGHTMLTextSpanStyleManager | ( |  | ) |
| inline

destructor

## ◆ RVNGHTMLTextSpanStyleManager() [2/2]

librevenge::RVNGHTMLTextSpanStyleManager::RVNGHTMLTextSpanStyleManager | ( | RVNGHTMLTextSpanStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ defineSpan()

void librevenge::RVNGHTMLTextSpanStyleManager::defineSpan | ( | RVNGPropertyList const & | pList | ) |

define a span style

Referenced by librevenge::RVNGHTMLTextGenerator::defineCharacterStyle().

## ◆ getClass()

std::string librevenge::RVNGHTMLTextSpanStyleManager::getClass | ( | RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by librevenge::RVNGHTMLTextGenerator::openSpan().

## ◆ getContent()

std::string librevenge::RVNGHTMLTextSpanStyleManager::getContent | ( | RVNGPropertyList const & | pList | ) |
| staticprotected

convert a property list in a html content string

## ◆ operator=()

RVNGHTMLTextSpanStyleManager librevenge::RVNGHTMLTextSpanStyleManager::operator= | ( | RVNGHTMLTextSpanStyleManager const & | orig | ) |
| private

## ◆ parseDecorations()

void librevenge::RVNGHTMLTextSpanStyleManager::parseDecorations | ( | RVNGPropertyList const & | pList,
|  | std::ostream & | out
| ) |  |
| staticprotected

add data corresponding to the line decoration

## ◆ parseTextPosition()

void librevenge::RVNGHTMLTextSpanStyleManager::parseTextPosition | ( | char const * | value,
|  | std::ostream & | out
| ) |  |
| staticprotected

add data corresponding to a text position in out

## ◆ send()

void librevenge::RVNGHTMLTextSpanStyleManager::send | ( | std::ostream & | out | ) |

send the data to the stream

Referenced by librevenge::RVNGHTMLTextGenerator::endDocument().

## Member Data Documentation

## ◆ m_contentNameMap

std::map<std::string, std::string> librevenge::RVNGHTMLTextSpanStyleManager::m_contentNameMap
| protected

a map content -> name

## ◆ m_idNameMap

std::map<int, std::string> librevenge::RVNGHTMLTextSpanStyleManager::m_idNameMap
| protected

a map id -> name

The documentation for this class was generated from the following files:

- RVNGHTMLTextTextStyle.h
- RVNGHTMLTextTextStyle.cpp